org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class EvictCandidate

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.EvictCandidate

    public class EvictCandidate
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EvictCandidate(int tag, long relPtr, FullPageId fullId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FullPageId` `fullId()`
`long` `relativePointer()`
`int` `tag()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvictCandidate

    public EvictCandidate(int tag,
                          long relPtr,
                          FullPageId fullId)

Parameters:
  `tag` - Tag.
  `relPtr` - Relative pointer.
  `fullId` - Full page ID.

### Method Detail

#### tag

    public int tag()

Returns:
  Tag.

#### relativePointer

    public long relativePointer()

Returns:
  Relative pointer.

#### fullId

    public FullPageId fullId()

Returns:
  Index.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018